<div class="container" style="padding-top: 2vh;">
    <form [formGroup]="form" (ngSubmit)="send()" style="padding-bottom: 2vh;" novalidate>
        <div class="form-row">
            <label for="username">Username</label>
            <input class="form-control" name="username" type="text" placeholder="Username" formControlName="username"
                [ngClass]="{'invalid': this.form.controls['username'].value === null && submitted}" required>
        </div>
        <div class="form-row">
            <label for="password">Password</label>
            <input class="form-control" name="password" type="password" placeholder="Password"
                formControlName="password"
                [ngClass]="{'invalid': this.form.controls['password'].value === null && submitted}" required>
        </div>
        <div class="row justify-content-center" style="margin-top: 2vh;">
            <div class="col-lg-2 col-md-6 col-6 text-center">
                <button type="submit" class="btn btn-primary" [disabled]="!form.valid">Login</button>
            </div>
        </div>
    </form>
</div>